<?php

class SolVioletteTransferStep2Form extends sfForm {
	public function setup()
	{
		$this->setWidgets(array(
		  'id'                                => new sfWidgetFormInputHidden(),
		  'amount' 						                => new sfWidgetFormInputHidden(),
		  'message' 						                => new sfWidgetFormTextarea(array(), array('cols' => 54))
		));



		$this->setValidators(array(
		  'id'                                => new sfValidatorString(),
		  'amount'                   				  => new sfValidatorString(),
		  'message'                   				  => new sfValidatorPass(),
		));



		$this->getWidgetSchema()->setLabels(array(
		  'id'                                => FALSE,
		  'amount'                   				  => FALSE,
		  'message'                   				  => FALSE,
		));

		$this->getWidgetSchema()->setHelp('message','<span class="hint">Laissez le champ vide pour qu\'aucun email ne soit envoyé.</span>');


		$this->widgetSchema->setNameFormat('confirm[%s]');

		$this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

		parent::setup();
	}
}